# Enum Class SamPairUtil.PairOrientation

java.lang.Object
java.lang.Enum<SamPairUtil.PairOrientation>
htsjdk.samtools.SamPairUtil.PairOrientation

All Implemented Interfaces:
  `Serializable, Comparable<SamPairUtil.PairOrientation>, Constable`

Enclosing class:
  `SamPairUtil`

public static enum SamPairUtil.PairOrientation extends Enum<SamPairUtil.PairOrientation>
The possible orientations of paired reads. F = mapped to forward strand R = mapped to reverse strand FR means the read that's mapped to the forward strand comes at or before the read mapped to the reverse strand when their 5'-end coordinates are compared. When the two 5'-end coordinates coincide the pair is classified as FR, keeping the FR/RF boundary continuous across overlap widths (e.g., a 1 bp overlap classifies as FR just like a 2 bp overlap does). PairOrientation only makes sense for a pair of reads that are both mapped to the same contig/chromosome

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FR`
`RF`
`TANDEM`

## Method Summary

Modifier and Type
Method
Description
`static SamPairUtil.PairOrientation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SamPairUtil.PairOrientation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FR

public static final SamPairUtil.PairOrientation FR

### RF

public static final SamPairUtil.PairOrientation RF

### TANDEM

public static final SamPairUtil.PairOrientation TANDEM

## Method Details

### values

public static SamPairUtil.PairOrientation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SamPairUtil.PairOrientation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null